<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>G-CTMQC: /Users/agostini/Documents/RELEASED_GCTMQC/g-ctmqc/src/wigner_distribution.f90 Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">G-CTMQC
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('wigner__distribution_8f90_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">wigner_distribution.f90</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">!------------------------------------------------------------------------------!</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">! G-CTMQC code version 1.0                                                     !</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">!------------------------------------------------------------------------------!</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">!                                                                              !</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">! AUTHOR: Federica Agostini, Institut de Chimie Physique, Paris-Saclay.        !</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">!                                                                              !</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">! MODULE: wigner_distribution                                                  !</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">! Free software: you can redistribute it and/or modify it under the terms of   !</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">!                the GNU Lesser General Public License as published by the     !</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">!                Free Software Foundation, either version 3 of the License, or !</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">!                (at your choice) any later version.                           !</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">!                                                                              !</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">! DESCRIPTION: Random selection of initial acccording to Wigner sampling.      !</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">!                                                                              !</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">! REVISION HISTORY: 11/03/2021 - Initial Version                               !</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">!                                                                              !</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">!------------------------------------------------------------------------------!</span></div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="namespacewigner__distribution.html">   22</a></span>&#160;<span class="keyword">MODULE</span> <a class="code" href="namespacewigner__distribution.html">wigner_distribution</a></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keywordtype">USE </span><a class="code" href="namespacevariables.html">variables</a></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  <span class="keywordtype">USE </span><a class="code" href="namespacetools.html">tools</a></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keywordtype">IMPLICIT NONE</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">CONTAINS</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="comment">!---------------------------------------------------------------------------!</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="comment">! DESCRIPTION: Sampling of the initial conditions                           !</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="comment">!---------------------------------------------------------------------------!</span></div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="namespacewigner__distribution.html#aa2c951a0f0f444c1e379d3071007be0d">   42</a></span>&#160;  <span class="keyword">SUBROUTINE </span>initial_conditions</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keywordtype">    REAL</span>(KIND=dp),<span class="keywordtype">ALLOCATABLE</span> :: xi(:)</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">INTEGER</span>                   :: check,nrand,i,ios</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">CALL </span>generate_random_seed</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordflow">IF</span>(trim(positions_file)==<span class="stringliteral">&quot;&quot;</span>) <span class="keywordflow">THEN</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;      nrand = 2*ntraj</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;      <span class="keyword">ALLOCATE</span>(xi(nrand),stat=check)</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;      <span class="keywordflow">IF</span>(check/=0) print*,<span class="stringliteral">&#39;error xi&#39;</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;      <span class="keywordflow">DO</span> i=1,n_dof</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordflow">IF</span>(sigma(i)==0.0_dp) <span class="keywordflow">THEN</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;          initial_positions(:,i)=r0(i) </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keywordflow">        ENDIF</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="keywordflow">IF</span>(sigma(i)&gt;0.0_dp) <span class="keywordflow">THEN</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;          <span class="keyword">call </span>random_number(xi)    </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;          initial_positions(:,i) =                                           &amp;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            gaussian_distribution(xi,nrand,sigma(i)/sqrt(2.0_dp),r0(i),ntraj)</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keywordflow">        ENDIF</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        <span class="keywordflow">IF</span>(sigma(i)&lt;0.0_dp) <span class="keywordflow">THEN</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;          print*, <span class="stringliteral">&#39;The variance on positions has to be positive&#39;</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;          stop</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keywordflow">        ENDIF</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keywordflow">      END DO</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;      <span class="keyword">DEALLOCATE</span>(xi)</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;      <span class="keywordflow">IF</span>(ntraj==1) initial_positions(1,:) = r0</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;      </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordflow">ELSE</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;      <span class="keyword">OPEN</span>(26,file=trim(positions_file),status=<span class="stringliteral">&quot;old&quot;</span>, &amp;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        form=<span class="stringliteral">&quot;formatted&quot;</span>,action=<span class="stringliteral">&quot;read&quot;</span>,iostat=ios)</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;      <span class="keywordflow">IF</span>(ios/=0) print*,<span class="stringliteral">&#39;error opening file of positions&#39;</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordflow">DO</span> i=1,ntraj</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;           <span class="keyword">READ</span>(26,*) initial_positions(i,:)</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keywordflow">        END DO</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;      <span class="keyword">CLOSE</span>(26)</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="keywordflow">    END IF</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordflow">IF</span>(trim(momenta_file)==<span class="stringliteral">&quot;&quot;</span>) <span class="keywordflow">THEN</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;      nrand = 2*ntraj</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;      <span class="keyword">ALLOCATE</span>(xi(nrand),stat=check)</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;      <span class="keywordflow">IF</span>(check/=0) print*,<span class="stringliteral">&#39;error xi&#39;</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;      <span class="keywordflow">DO</span> i=1,n_dof </div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordflow">IF</span>(var_momentum(i)==0.0_dp) <span class="keywordflow">THEN</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;          initial_momenta(:,i) = k0(i)</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keywordflow">        ENDIF</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <span class="keywordflow">IF</span>(var_momentum(i)&lt;0.0_dp) <span class="keywordflow">THEN</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;          <span class="keyword">CALL </span>random_number(xi)</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;          initial_momenta(:,i) = &amp;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;             gaussian_distribution(xi,nrand,hbar/sigma(i)/sqrt(2.0_dp),k0(i),ntraj)</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keywordflow">        ENDIF</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="keywordflow">IF</span>(var_momentum(i)&gt;0.0_dp) <span class="keywordflow">THEN</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;          <span class="keyword">CALL </span>random_number(xi)</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;          initial_momenta(:,i) = &amp;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            gaussian_distribution(xi,nrand,var_momentum(i)/sqrt(2.0_dp),k0(i),ntraj)</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="keywordflow">        ENDIF</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="keywordflow">      ENDDO</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;      <span class="keyword">DEALLOCATE</span>(xi)</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;      <span class="keywordflow">IF</span>(ntraj==1) initial_momenta(1,:) = k0</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordflow">ELSE</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;      <span class="keyword">OPEN</span>(26,file=trim(momenta_file),status=<span class="stringliteral">&quot;old&quot;</span>, &amp;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        form=<span class="stringliteral">&quot;formatted&quot;</span>,action=<span class="stringliteral">&quot;read&quot;</span>,iostat=ios)</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;      <span class="keywordflow">IF</span>(ios/=0) print*,<span class="stringliteral">&#39;error opening file of momenta&#39;</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;      <span class="keywordflow">DO</span> i=1,ntraj</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        <span class="keyword">READ</span>(26,*) initial_momenta(i,:)</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="keywordflow">      END DO</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;      <span class="keyword">CLOSE</span>(26)</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="keywordflow">    END IF</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keyword">OPEN</span>(23,file=trim(output_folder)//<span class="stringliteral">&#39;/initial_conditions.dat&#39;</span>)</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;      <span class="keywordflow">DO</span> i=1,ntraj</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;      <span class="keyword">WRITE</span>(23,<span class="stringliteral">&#39;(2000f14.4)&#39;</span>) initial_positions(i,:),initial_momenta(i,:)</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="keywordflow">    END DO</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keyword">CLOSE</span>(23)</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160; </div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="keyword">END SUBROUTINE </span>initial_conditions</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  <span class="comment">!---------------------------------------------------------------------------!</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;  <span class="comment">! DESCRIPTION: Box-Muller transform                                         !</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  <span class="comment">!---------------------------------------------------------------------------!</span></div>
<div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="namespacewigner__distribution.html#a8a2514e4fdf5f85b28b8f4839b0c9d6c">  143</a></span>&#160;  <span class="keyword">FUNCTION </span>gaussian_distribution(xi,nrand,var,x0,my_nrand) <span class="keyword">result</span>(y)</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160; </div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    <span class="keywordtype">INTEGER</span>,      <span class="keywordtype">INTENT(IN)</span> :: nrand,my_nrand</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="keywordtype">    REAL</span>(kind=dp),<span class="keywordtype">INTENT(IN)</span> :: xi(nrand),var,x0</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="keywordtype">    REAL</span>(kind=dp)            :: y_tmp(nrand),y(my_nrand)</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordtype">INTEGER</span>                  :: i,j</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160; </div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    j=1</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="keywordflow">DO</span> i=1,my_nrand</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;      y_tmp(i)   = sqrt(-2.0_dp*log(xi(j+1)))*cos(2.0_dp*pi*xi(j))</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;      j=j+2</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="keywordflow">    ENDDO</span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160; </div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    y_tmp = y_tmp * var + x0</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160; </div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keywordflow">IF</span> (nrand/=my_nrand) <span class="keywordflow">then</span></div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;       <span class="keywordflow">DO</span> i=1,my_nrand</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;          y(i) = y_tmp(i)</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="keywordflow">       END DO</span></div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="keywordflow">ELSE</span></div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;       y = y_tmp</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<span class="keywordflow">    END IF</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160; </div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;  <span class="keyword">END FUNCTION </span>gaussian_distribution</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160; </div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="keyword">END MODULE </span><a class="code" href="namespacewigner__distribution.html">wigner_distribution</a></div>
<div class="ttc" id="anamespacetools_html"><div class="ttname"><a href="namespacetools.html">tools</a></div><div class="ttdoc">Numerical tools for initialization and finalization of the dynamically-allocated vectors,...</div><div class="ttdef"><b>Definition:</b> <a href="tools_8f90_source.html#l00023">tools.f90:23</a></div></div>
<div class="ttc" id="anamespacevariables_html"><div class="ttname"><a href="namespacevariables.html">variables</a></div><div class="ttdoc">The module defines all common variables.</div><div class="ttdef"><b>Definition:</b> <a href="variables_8f90_source.html#l00021">variables.f90:21</a></div></div>
<div class="ttc" id="anamespacewigner__distribution_html"><div class="ttname"><a href="namespacewigner__distribution.html">wigner_distribution</a></div><div class="ttdoc">Sampling of the initial conditions based on the harmonic Wigner distribution using the Box-Muller alg...</div><div class="ttdef"><b>Definition:</b> <a href="wigner__distribution_8f90_source.html#l00022">wigner_distribution.f90:22</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><b>wigner_distribution.f90</b></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
